/*
* This is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DogLcd is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with DogLcd. If not, see <http://www.gnu.org/licenses/>.
*
* Copyright 2010 Eberhard Fahle <e.fahle@wayoda.org>
*/

/*
* ATMEGA644V
* Quarz 7372800 MHZ
* DOGM163 Test kein echtes SPI, jeder Port verwendbar!
* Anschaltung Display in der dogm163.h
* Define the type of your display in der dogm163.h
* LCD_BACKLIGHT funktioniert in dieser Form nur auf dem Atmega644
* printf("xxx") eingebunden
* Quellcode fr DOGM163 bernommen, siehe Lizenz oben
*/



#include "tools.h"

int dogm_putchar(char c, FILE *stream);
void sytakt_konf(void);

static FILE mystdout = FDEV_SETUP_STREAM(dogm_putchar, NULL, _FDEV_SETUP_WRITE); // bindet printf() ein

int main(void)
{


	stdout = &mystdout; // bindet printf() ein 

 	lcd_setbacklight(0x88);
 	lcd_init(); 
	lcd_clear();	
 	lcd_set_contrast(0x30);	
 	lcd_set_cursor(0,0);
	lcd_write_text("ATMEGA644V");
	lcd_set_cursor(0,1);
	lcd_write_text("DOGM163");
    




while (1)
{
	
	lcd_set_cursor(0,2);
	printf("test, alles ok");



}


		return (0);
}



int dogm_putchar(char c, FILE *stream) // // bindet printf() ein
{
 	lcd_write_char(c); //LIB DOGS163
    return 0;
}

